<?xml version="1.0" encoding="UTF-8"?>
<!-- Auf GeoInfoDok 6.0.1 -->
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
	xmlns:adv="http://www.adv-online.de/namespaces/adv/gid/6.0.1"
	xmlns:ogc="http://www.adv-online.de/namespaces/adv/gid/ogc"
	xmlns:xlink="http://www.w3.org/1999/xlink">
	<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	<!-- =========================================================== -->
	<xsl:template match="/">
		<xsl:variable name="p1" select="//adv:profilkennung"/>
		<xsl:variable name="p2" select="//adv:antragsnummer"/>
		<xsl:variable name="p3" select="//ogc:Literal"/>
		<xsl:variable name="p4" select="document('E2.xml')//adv:AX_Buchungsblatt/adv:buchungsblattkennzeichen"/>
		
		<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
		<AX_Benutzungsauftrag xmlns="http://www.adv-online.de/namespaces/adv/gid/6.0.1" xmlns:adv="http://www.adv-online.de/namespaces/adv/gid/6.0.1" xmlns:gml="http://www.opengis.net/gml/3.2" xmlns:ogc="http://www.adv-online.de/namespaces/adv/gid/ogc" xmlns:wfs="http://www.adv-online.de/namespaces/adv/gid/wfs" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.adv-online.de/namespaces/adv/gid/6.0.1 NAS-Operationen.xsd">
			<empfaenger>
				<AA_Empfaenger>
					<direkt/>
				</AA_Empfaenger>
			</empfaenger>
			<ausgabeform>application/xml</ausgabeform>
			<art>0010</art>
			<anforderungsmerkmale>
				<!-- Selektion der Buchungsstellen des Buchungsblatts, auf dem das Grundstück gebucht ist -->
				<wfs:Query typeName="AX_Flurstueck">
					<ogc:Filter>
						<ogc:PropertyIsEqualTo>
							<ogc:PropertyName>flurstueckskennzeichen</ogc:PropertyName>
							<ogc:Literal><xsl:value-of select="$p3"/></ogc:Literal>
						</ogc:PropertyIsEqualTo>
					</ogc:Filter>
				</wfs:Query>
				<wfs:Query typeName="AX_Buchungsblattbezirk"><!-- Verbesserung durch Einschränkung der Suchmenge. -->
					<ogc:Filter>
						<ogc:PropertyIsEqualTo>
							<ogc:PropertyName>schluesselGesamt</ogc:PropertyName>
							<ogc:Literal><xsl:value-of select="substring($p4,1,6)"/></ogc:Literal>
						</ogc:PropertyIsEqualTo>
					</ogc:Filter>
				</wfs:Query>
				<!-- Besorge ausserdem alle Objekte der weiteren Objektarten. Hinweis: Dies ist natürlich keine realistische Vorgehensweise
				bei Produktionsdatenbeständen. Das Ziel dieser Dokumentation liegt in der Beschreibung der formalen Regeln bei der Ableitung
				der Standardausgaben - nicht in der Vorgabe einer algorithmischen Umsetzung dieser. -->
				<wfs:Query typeName="AX_Dienststelle"/>
				<wfs:Query typeName="AX_Buchungsblatt">
				<!-- Navigation über Gegenrelation -->
						<adv:XlinkPropertyPath>bestehtAus/AX_Buchungsstelle</adv:XlinkPropertyPath>
					<ogc:Filter>
						<ogc:PropertyIsEqualTo>
							<ogc:PropertyName>schluesselGesamt</ogc:PropertyName>
							<ogc:Literal><xsl:value-of select="$p4"/></ogc:Literal>
						</ogc:PropertyIsEqualTo>
						</ogc:Filter>
				</wfs:Query>
			</anforderungsmerkmale>
			<profilkennung><xsl:value-of select="$p1"/></profilkennung>
			<antragsnummer><xsl:value-of select="$p2"/></antragsnummer>
		</AX_Benutzungsauftrag>
	</xsl:template>
	<!-- =========================================================== -->
</xsl:stylesheet>
